cancel
Showing results for 
Search instead for 
Did you mean: 

MySQL 5.6 or MariaDB 10.1.3

SOLVED

MySQL 5.6 or MariaDB 10.1.3

I installed Magento 2.0.4 and passed all the Install checks.  However, my server is running MariaDB 10.1.3, and not MySQL 5.6. I just want to be sure this won't cause any compatibility issues down the road.  I'm on a PLESK panel, and my understanding is that it could be a problem to try to get MySQL 5.6 installed.  I would rather address this now while the install is new, rather than down the road after expending lots of effort to get this set up.  Thanks for any advice.

5 REPLIES

Re: MySQL 5.6 or MariaDB 10.1.3

https://mage2.pro/t/419

"We do not support MariaDB per terms of our support contracts. However, we appear to be compatible with MariaDB at the moment. We welcome PR’s from the community to maintain this compatibility."

 

 

Re: MySQL 5.6 or MariaDB 10.1.3

This is the reply that I got from my webhost when I asked what my options were if M2 stopped being compatible with MariaDB: 

 

The likelihood of it not being compatible is unlikely. MariaDB is a direct port of MySQL. If anything I would expect them change their decision on Maria since it will eventual be the new MySQL because of the Oracle takeover.

Thoughts?  I believe part of this issue is that PLESK does not include MySQL 5.6, and it is difficult to get it?  I'm not a programmer, so all of this is a bit of a struggle for me.

Re: MySQL 5.6 or MariaDB 10.1.3

it works with latest versions 

no issues

------------
MagenX - Magento and Server optimization

Re: MySQL 5.6 or MariaDB 10.1.3

Magento 2 should work with major forks of MySQL 5.6, which includes MariaDB and Percona. 

James Lee | Moderator • Magento Master
See My Recommended Magento Hosting & Security Tips

Re: MySQL 5.6 or MariaDB 10.1.3

 

To confirm your question, we're hosting our Magento customers on our << Snipped >> servers using PHP 7 with MariaDB 10.1.17 including other optimizations and have absolutely no issues on heavy traffic sites.